import logging
import sys

from parliament.__main__ import main as parliament_main


def main(*args, **kwargs):
    logging.basicConfig(
        format='[%(asctime)s] %(name)s [%(name)s.%(funcName)s:%(lineno)d]: %(message)s',
        datefmt="%d/%b/%Y %H:%M:%S",
        level=logging.DEBUG
    )

    if (len(sys.argv) != 2):
        print("Usage: python -m", __file__, "<path/to/func.py>")
        exit(1)

    parliament_main(*args, **kwargs)
